Summary:	Tool to create isolated Python environments
Name:		python-virtualenv
Version:	1.6.4
Release:	3
License:	MIT
Group:		Development/Languages
Source0:	http://pypi.python.org/packages/source/v/virtualenv/virtualenv-%{version}.tar.gz
# Source0-md5:	1072b66d53c24e019a8f1304ac9d9fc5
Source1:	https://raw.github.com/pypa/virtualenv/%{version}/bin/rebuild-script.py
# Source1-md5:	b9748dcf1c81dc85a8368dcb7c680494
Source2:	unpack-support.py
URL:		http://pypi.python.org/pypi/virtualenv
Patch0:		virtualenv-pld.patch
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python-setuptools
# Blame binary-only python packages authors
# virtualenv wants *.py
Requires:	python-devel-src
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
virtualenv is a tool to create isolated Python environments.
virtualenv is a successor to workingenv, and an extension of
virtual-python. It is written by Ian Bicking, and sponsored by the
Open Planning Project. It is licensed under an MIT-style permissive
license.

%prep
%setup -q -n virtualenv-%{version}
%{__install} -d bin
%{__install} -m 755 -p %{SOURCE1} bin/
%{__install} -m 755 -p %{SOURCE2} bin/

python ./bin/unpack-support.py

%patch0 -p1

python ./bin/rebuild-script.py

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/index.txt
%attr(755,root,root) %{_bindir}/virtualenv
%{py_sitescriptdir}/virtualenv-%{version}-py*.egg-info
%{py_sitescriptdir}/virtualenv.py*
%dir %{py_sitescriptdir}/virtualenv_support
%{py_sitescriptdir}/virtualenv_support/__init__.py*
%{py_sitescriptdir}/virtualenv_support/*.gz
%{py_sitescriptdir}/virtualenv_support/setuptools-*.egg
%changelog
* Wed Aug 29 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-virtualenv.git;a=log;h=master

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> 0cc4fd2
Package bundled setuptools
Release 3

* Thu Oct 27 2011 Jan Rękorajski <baggins@pld-linux.org> f4283e1
- rel 2
- export some more modules

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 771697b
- rel 1
- --no-site-packages fixed by Łukasz Szczęsny <luk/at/mimuw.edu.pl>

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 201c804
- remaining bits for --no-site-packages to work

* Wed Aug 31 2011 Jan Rękorajski <baggins@pld-linux.org> 30efe94
- cleanup
- don't hardcode 'lib' anywhere, always use sys.lib
- fix symlink to point to the right place

* Wed Aug 31 2011 Jan Rękorajski <baggins@pld-linux.org> df56f8c
- added TODO

* Wed Aug 31 2011 Jan Rękorajski <baggins@pld-linux.org> 4577d65
- fix for site dirs split into 'lib' and 'share' in PLD python,
  patch by Łukasz Szczęsny <luk/at/mimuw.edu.pl>

* Wed Aug 31 2011 Jan Rękorajski <baggins@pld-linux.org> bd959b3
- 1.6.4

* Fri Jun 10 2011 zbyniu <zbyniu@pld-linux.org> 4e925c7
- up to 1.6.1

* Tue Oct 26 2010 Karol Krenski <charles@pld-linux.org> 31b249e
- up to 1.5.1

* Fri Jul 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c85e98
- rel 5; files fixed

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a92827f
- release 4

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 99e524d
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 752b174
- release 2

* Sun May 16 2010 sparky <sparky@pld-linux.org> 91a4a40
- BR: python, python-devel, python-modules, rpm-pythonprov

* Tue Apr 20 2010 Jan Rękorajski <baggins@pld-linux.org> 3f8391e
- 1.4.7

* Sat Nov 14 2009 Artur Frysiak <artur@frysiak.net> c7cabbe
- updated to 1.4.2

* Tue Oct 20 2009 Patryk Zawadzki <patrys@room-303.com> 7fa2db1
- 1.3.4

* Tue Oct 20 2009 Patryk Zawadzki <patrys@room-303.com> 5af6607
- package .py as it's used as executable

* Tue Oct 20 2009 Patryk Zawadzki <patrys@room-303.com> 74c7b14
- initial PLD release

